package com.realnet.basic1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic1.Entity.Formc;
import com.realnet.basic1.Services.FormcService ;












@RequestMapping(value = "/Formc")
 @CrossOrigin("*") 
@RestController
public class FormcController {
	@Autowired
	private FormcService Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Formc")
		  public Formc Savedata(@RequestBody Formc data) {
		Formc save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Formc/{id}")
	public  Formc update(@RequestBody Formc data,@PathVariable Integer id ) {
		Formc update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Formc/getall/page")
	public Page<Formc> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Formc> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Formc")
	public List<Formc> getdetails() {
		 List<Formc> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Formc")
	public List<Formc> getallwioutsec() {
		 List<Formc> get = Service.getdetails();		
		return get;
}
@GetMapping("/Formc/{id}")
	public  Formc  getdetailsbyId(@PathVariable Integer id ) {
		Formc  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Formc/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}













}